GCLOUD_DNS_RECORD-SETS_TRANSACTION_EXECUTE(1)

NAME

gcloud dns record-sets transaction execute - execute the transaction on Cloud DNS

SYNOPSIS

gcloud dns record-sets transaction execute --zone ZONE, -z ZONE [--transaction-file TRANSACTION_FILE; default="transaction.yaml"] [GLOBAL-FLAG ...]

DESCRIPTION
This command executes the transaction on Cloud DNS. This will result in record-sets being changed as specified in the transaction.

REQUIRED FLAGS
--zone ZONE, -z ZONE
    Name of the managed-zone whose record-sets you want to manage.

OPTIONAL FLAGS
--transaction-file TRANSACTION_FILE; default="transaction.yaml"
    Path of the file which contains the transaction.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
To execute the transaction, run:
    $ gcloud dns record-sets transaction execute -z MANAGED_ZONE